Next Previous Contents

## 3.2 _heapblocksize

> Function

>   Return the size of an allocated block.

> Header

>   `stdlib.h`

> Declaration

>   `size_t __fastcall__ _heapblocksize (const void* block);`

> Description

>   The function returns the size of a block that must have previously been allocated by `malloc`, `calloc` or `realloc`.

> Limits

>   - Passing a pointer to a block that was is not the result of one of the allocation functions, or that has been free'd will give unpredicable results.
> Availability

>   cc65

> See also

>   _heapadd, _heapmaxavail, _heapmemavail, calloc, free, malloc, realloc

> Example

>   None.

Next Previous Contents